package org.ydarias.petprojects.jira.controllers

import org.springframework.stereotype.Controller
import org.springframework.web.servlet.ModelAndView
import org.springframework.web.bind.annotation.{RequestMethod, RequestMapping}
import java.util.HashMap
import org.ydarias.petprojects.jira.repository.ProjectsRepository
import reflect.BeanProperty
import org.springframework.beans.factory.annotation.Autowired

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
@Controller
class ProjectsController {

  @BeanProperty @Autowired var projectsRepository: ProjectsRepository = _

  @RequestMapping(value = Array("/projects"), method = Array(RequestMethod.GET))
  def listProjects(): ModelAndView = {
    val model = new HashMap[String, Object]()
    model.put("projects", projectsRepository.list())

    new ModelAndView("projects/list", model)
  } 

}

