package org.ydarias.petprojects.jira.repository

import connectors.JiraConnector
import org.ydarias.petprojects.jira.model.Project
import reflect.BeanProperty
import org.ydarias.petprojects.jira.util.JsonProcessor
import java.util.{ArrayList, List}

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
class ProjectsRepository {

  @BeanProperty var jiraConnector: JiraConnector = _

  @BeanProperty var jsonProcessor: JsonProcessor = _


  def list(): List[Project] = {
    val jsonProjects = jiraConnector.listProjects()
    toJava(jsonProcessor.processProjectsList(jsonProjects))
  }
  
  // FIXME resolve with implicits
  
  private def toJava(source: scala.List[Project]): List[Project] = {
    val result = new ArrayList[Project]
    if (source != null)
      source foreach  ((project) => result.add(project))
    result
  } 

}
