package org.ydarias.petprojects.jira.repository.connectors

import org.apache.http.client.methods.HttpGet
import io.Source
import sun.misc.BASE64Encoder
import org.apache.http.impl.client.DefaultHttpClient
import reflect.BeanProperty

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
class HttpJiraClient {

  val client = new DefaultHttpClient

  @BeanProperty var baseURL: String = _

  @BeanProperty var username: String = _

  @BeanProperty var password: String = _

  def get(resourceUrl: String): String = {
    val request = createGetRequest(resourceUrl)
    val response = client.execute(request)
    val content = response.getEntity.getContent
    Source.fromInputStream(content).getLines().mkString("\n");
  }

  private def createGetRequest(resourceUrl: String): HttpGet = {
    val request = new HttpGet(baseURL + resourceUrl)
    request.setHeader("Content-Type", "application/json")
    request.setHeader("Authorization", basicAuthenticationToken)

    request
  }

  private def basicAuthenticationToken: String = {
    val usernamePasswordChain = username + ":" + password
    val encoder = new BASE64Encoder();
    val hash = encoder.encode(usernamePasswordChain.getBytes("UTF-8"))

    "Basic " + hash
  }

}
