package org.ydarias.petprojects.jira.util

import net.liftweb.json.JsonParser._
import net.liftweb.json.DefaultFormats

import scala.util.parsing.json.JSON
import org.ydarias.petprojects.jira.model.{TaskFactory, Task, ProjectFactory, Project}


/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
class JsonProcessor {

  implicit val formats = DefaultFormats // Brings in default date formats etc.

  // FIXME this class sucks too!!!, please review soon

  def processProjectsList(jsonProjectsList: String): List[Project] = {
    val parsedProjects = JSON.parseFull(jsonProjectsList)
    parsedProjects match {
      case None => List.empty[Project]
      case Some(jsonProjects) => createList(jsonProjects)
    }
  }

  private def createList(jsonProjects: Any): List[Project] = {
    var result = List.empty[Project]
    jsonProjects.asInstanceOf[List[Map[String, String]]] foreach {(jsonProject) =>
      val project = ProjectFactory.instanceFrom(jsonProject)
      result = result ::: List(project)
    }

    result
  }
  
  def processTasksList(jsonTasksList: String): List[Task] = {
    val parsedTasks = JSON.parseFull(jsonTasksList)
    parsedTasks match {
      case None => List.empty[Task]
      case Some(jsonTasks) => createTasksList(jsonTasks)
    }
  }
  
  private def createTasksList(jsonTasks: Any): List[Task] = {
    var result = List.empty[Task]
    val parsedJsonTasks = jsonTasks.asInstanceOf[Map[String, Any]]("issues")
    parsedJsonTasks.asInstanceOf[List[Map[String, String]]] foreach {(jsonTask) =>
      val task = TaskFactory.instanceFrom(jsonTask)
      result = result ::: List(task)
    }

    result
  }

  def taskName(jsonTaskInfo: String): String = {
    val task = parse(jsonTaskInfo).extract[JsonTask]
    task.fields.summary.value
  }

}

case class JsonTask(fields: Fields)

case class Fields(summary: Summary)

case class Summary(value: String)
