<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core_rt' %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

<%@ page session="false" %>

<c:set var="WEBAPP_PREFIX" value="${pageContext.request.contextPath}" />

<tiles:insertTemplate template="/WEB-INF/views/layouts/mainLayout.jsp">

    <tiles:putAttribute name="body-content" cascade="true">
        <div class="container">
            <h1>Projects</h1>

            <p>
                Select the desired project to see the tasks board.
            </p>

            <div class="row">
                <c:forEach var="project" items="${projects}">
                    <a href="${WEBAPP_PREFIX}/board/board/${project.key}">
                        <div class="span4">
                            <div class="well">
                                <h2>${project.key}</h2>
                                <p style="height: 2em">
                                    ${project.name}
                                </p>
                            </div>
                        </div>
                    </a>
                </c:forEach>
            </div>
        </div>

        <!-- Le javascript
        ================================================== -->
        <!-- Placed at the end of the document so the pages load faster -->
        <script src="resources/js/modernizr.js"></script>

        <script >
            function saveUserInfo() {
                localStorage["jiraTablet.username"] = $("#username").val();
                localStorage["jiraTablet.password"] = $("#password").val();
                localStorage["jiraTablet.jiraBaseUrl"] = $("#jiraBaseUrl").val();
            }

            function loadUserInfo() {
                $("#username").val(localStorage["jiraTablet.username"]);
                $("#password").val(localStorage["jiraTablet.password"]);
                $("#jiraBaseUrl").val(localStorage["jiraTablet.jiraBaseUrl"]);
            }

            if (Modernizr.localstorage) {
                loadUserInfo();
            } else{
                alert("ooohhh you have not localstorage, we are really sorry, but this app needs a HTML5 navigator.");
            }
        </script>
    </tiles:putAttribute>
</tiles:insertTemplate>