<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core_rt' %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

<%@ page session="false" %>

<c:set var="WEBAPP_PREFIX" value="${pageContext.request.contextPath}" />

<tiles:insertTemplate template="/WEB-INF/views/layouts/mainLayout.jsp">

    <tiles:putAttribute name="body-content" cascade="true">
        <div class="container">
            <h1>Tasks board</h1>

            <div id="board" class="row">
                <div class="span4">
                    <h3>Open</h3>
                    <br/>
                    <c:forEach items="${openTasks}" var="task">
                        <div id="${task.key}" class="task well">
                            <b>${task.key}</b> ${task.description}
                            <div id="task-menu-${task.key}" class="task-menu" style="display: none;">
                                <br/>
                                <a class="btn btn-primary" href="#">Start task</a>
                                <a class="btn" href="#">Resolve task</a>
                            </div>
                        </div>
                    </c:forEach>
                </div>
                <div class="span4">
                    <h3>In Progress</h3>
                    <br/>
                    <c:forEach items="${inProgressTasks}" var="task">
                        <div id="${task.key}" class="task well">
                            <b>${task.key}</b> ${task.description}
                            <div id="task-menu-${task.key}" class="task-menu" style="display: none;">
                                <ul>
                                    <li><a href="#">Stop task</a></li>
                                    <li><a href="#">Resolve task</a></li>
                                <ul>
                            </div>
                        </div>
                    </c:forEach>
                </div>
                <div class="span4">
                    <h3>Resolved</h3>
                    <br/>
                    <c:forEach items="${resolvedTasks}" var="task">
                        <div id="${task.key}" class="task well">
                            <b>${task.key}</b> ${task.description}
                            <div id="task-menu-${task.key}" class="task-menu" style="display: none;">
                                <ul>
                                    <li><a href="#">Reopen task</a></li>
                                    <li><a href="#">Restart task</a></li>
                                <ul>
                            </div>
                        </div>
                    </c:forEach>
                </div>
            </div>
        </div>
    </tiles:putAttribute>


    <tiles:putAttribute name="scripts-block" cascade="true">
        <script type="text/javascript" language="javascript" src="${WEBAPP_PREFIX}/resources/js/jquery-1.7.2.min.js"></script>
        <script type="text/javascript">
            $(".task").bind("touchstart, mousedown", function() {
                var $taskMenuId = "#task-menu-" + $(this).attr('id');
                $($taskMenuId).toggle();
            });
        </script>
    </tiles:putAttribute>

</tiles:insertTemplate>