<!DOCTYPE html>
<%@ page contentType="text/html; charset=UTF-8" %>

<%@ taglib prefix='c' uri='http://java.sun.com/jstl/core_rt' %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>

<%@ page session="false" %>

<c:set var="WEBAPP_PREFIX" value="${pageContext.request.contextPath}" />

<tiles:insertTemplate template="/WEB-INF/views/layouts/mainLayout.jsp">

    <tiles:putAttribute name="body-content" cascade="true">
        <div class="container">
            <div class="row">
                <div class="span6 offset3">
                    <form class="well">
                        <label>Username</label>
                        <input id="username" type="text" class="span5" placeholder="Your username ...">
                        <label>Password</label>
                        <input id="password" type="password" class="span5" placeholder="Your password ...">
                        <label>Jira URL</label>
                        <input id="jiraBaseUrl" type="text" class="span5" placeholder="Your Jira server base URL ...">

                        <br/><br/>

                        <div style="text-align: right;">
                            <a onclick="saveUserInfo()" class="btn btn-primary btn-large"
                                href="${WEBAPP_PREFIX}/board/projects">
                                Enter
                            </a>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <!-- Le javascript
        ================================================== -->
        <!-- Placed at the end of the document so the pages load faster -->
        <script src="resources/js/modernizr.js"></script>

        <script >
            function saveUserInfo() {
                localStorage["jiraTablet.username"] = $("#username").val();
                localStorage["jiraTablet.password"] = $("#password").val();
                localStorage["jiraTablet.jiraBaseUrl"] = $("#jiraBaseUrl").val();
            }

            function loadUserInfo() {
                $("#username").val(localStorage["jiraTablet.username"]);
                $("#password").val(localStorage["jiraTablet.password"]);
                $("#jiraBaseUrl").val(localStorage["jiraTablet.jiraBaseUrl"]);
            }

            if (Modernizr.localstorage) {
                loadUserInfo();
            } else{
                alert("ooohhh you have not localstorage, we are really sorry, but this app needs a HTML5 navigator.");
            }
        </script>
    </tiles:putAttribute>
</tiles:insertTemplate>