package org.ydarias.petprojects.jira.model

import org.junit.runner.RunWith
import org.scalatest.junit.JUnitRunner
import org.scalatest.matchers.ShouldMatchers
import org.scalatest.mock.MockitoSugar
import org.scalatest.{FunSpec, BeforeAndAfter}

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
@RunWith(classOf[JUnitRunner])
class ProjectFactorySpecs  extends FunSpec with ShouldMatchers with MockitoSugar with BeforeAndAfter {

  describe("ProjectFactory") {

    it("should create project instance from right json representation") {
      val projectAsJson = Map("self" -> "selfValue", "key" -> "keyValue", "name" -> "nameValue")
      val project = ProjectFactory.instanceFrom(projectAsJson)
      checkProject(project)
    }

    it("should do something is json representation is wrong") (pending)

    it("should do something is it is not a json representation") (pending)

  }

  private def checkProject(project: Project) {
    project.self should be("selfValue")
    project.key should be("keyValue")
    project.name should be("nameValue")
  }

}
