package org.ydarias.petprojects.jira.model

import org.junit.runner.RunWith
import org.scalatest.junit.JUnitRunner
import org.scalatest.matchers.ShouldMatchers
import org.scalatest.mock.MockitoSugar
import org.scalatest.{BeforeAndAfter, FunSpec}

/**
 * @author Yeray Darias Camacho <ydarias en gmail>
 */
@RunWith(classOf[JUnitRunner])
class TaskFactorySpecs  extends FunSpec with ShouldMatchers with MockitoSugar with BeforeAndAfter {

  describe("TaskFactory") {

    it("should create task instance from right json representation") {
      val taskAsJson = Map("self" -> "selfValue", "key" -> "keyValue")
      val task = TaskFactory.instanceFrom(taskAsJson)
      checkTask(task)
    }

    it("should do something is json representation is wrong") (pending)

    it("should do something is it is not a json representation") (pending)

  }

  private def checkTask(task: Task) {
    task.key should be ("keyValue")
    task.self should be ("selfValue")
  }

}
